<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd" version="4.0">
  <display-name>tiw-progetto2-group20</display-name>
  <context-param>
  		<param-name>dbUrl</param-name>
  		<param-value>jdbc:postgresql://ec2-46-137-79-235.eu-west-1.compute.amazonaws.com:5432/dfpa5ajho5fjsg</param-value>
  </context-param>
  <context-param>
  		<param-name>dbUser</param-name>
  		<param-value>hsmqfpocmjrvez</param-value>
  </context-param>
  <context-param>
  		<param-name>dbPassword</param-name>
  		<param-value>fa0cbe6354b786dd8a74fea2f5897136e40d29b12797f8555c03181ad4730ebf</param-value>
  </context-param>
  <context-param>
  		<param-name>dbDriver</param-name>
  		<param-value>org.postgresql.Driver</param-value>
  </context-param>
  <filter> 
      <filter-name>SessionChecker</filter-name>
      <filter-class>it.polimi.tiw.project2.filters.SessionChecker</filter-class> 
  </filter> 
  <filter>
  	  <filter-name>ReunionChecker</filter-name> 
      <filter-class>it.polimi.tiw.project2.filters.ReunionChecker</filter-class> 
  </filter> 
  <filter-mapping> 
    <filter-name>SessionChecker</filter-name> 
    <url-pattern>/CheckNumberOfParticipants</url-pattern>
    <url-pattern>/CheckReunionParameters</url-pattern> 
    <url-pattern>/GetCreatedReunions</url-pattern>
    <url-pattern>/GetInvitedReunions</url-pattern>
    <url-pattern>/CreateReunion</url-pattern>
    <url-pattern>/GetUsers</url-pattern>
    <url-pattern>/SendSSEUpdate</url-pattern>
  </filter-mapping> 
  <filter-mapping> 
    <filter-name>ReunionChecker</filter-name> 
    <url-pattern>/GetUsers</url-pattern>
    <url-pattern>/CreateReunion</url-pattern>
    <url-pattern>/CheckNumberOfParticipants</url-pattern>
  </filter-mapping> 
  
  <welcome-file-list>
    <welcome-file>index.html</welcome-file>
  </welcome-file-list>
</web-app>